epic

Main

# Documentation

getInput :: [String] -> IO ([FilePath], [Option])

data Option

Constructors

KeepInt |
TraceOn |
Obj |
File String |
Output String |
Header String |
ExtraInc String |
COpt String |
ExtMain |
CFlags |
LibFlags |
DbgInfo |
CheckLvl Int |

Instances

Eq Option |

parseArgs :: [String] -> [Option]

getFile :: [Option] -> IO [FilePath]

getOutput :: [Option] -> IO FilePath

getCOpts :: [Option] -> IO [String]

processFlags :: [Option] -> Bool -> IO ()